org.richfaces.fragment.contextMenu

## Class AbstractPopupMenu

- java.lang.Object
- - org.richfaces.fragment.contextMenu.AbstractPopupMenu

- All Implemented Interfaces:
    AdvancedInteractions<AbstractPopupMenu.AdvancedPopupMenuInteractions>, AdvancedVisibleComponentIteractions<AbstractPopupMenu.AdvancedPopupMenuInteractions>, PopupMenu
  Direct Known Subclasses:
    RichFacesContextMenu, RichFacesDropDownMenu

      public abstract class AbstractPopupMenu
      extends Object
      implements PopupMenu, AdvancedVisibleComponentIteractions<AbstractPopupMenu.AdvancedPopupMenuInteractions>

  Author:
    Juraj Huska

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `AbstractPopupMenu.AdvancedPopupMenuInteractions`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractPopupMenu()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract AbstractPopupMenu.AdvancedPopupMenuInteractions` | `advanced()`
    `protected String` | `getNameOfFragment()` Returns the name of the actual page fragment.
    `protected org.openqa.selenium.WebElement` | `getRootElement()`
    `void` | `selectItem(ChoicePicker picker)` Selects the menu item according to the rules defined in the `picker` param.
    `void` | `selectItem(ChoicePicker picker, org.openqa.selenium.WebElement target)` Selects the menu item according to the rules defined in the `picker` param.
    `void` | `selectItem(int index)` Selects the menu item according to its index in the list of all menu items.
    `void` | `selectItem(int index, org.openqa.selenium.WebElement target)` Selects the menu item according to its index in the list of all menu items.
    `void` | `selectItem(String header)` Selects the menu item according to the exact match of its text representation with passed `header` param.
    `void` | `selectItem(String header, org.openqa.selenium.WebElement target)` Selects the menu item according to the exact match of its text representation with passed `header` param.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractPopupMenu

          public AbstractPopupMenu()

  - ### Method Detail

    - #### getNameOfFragment

          protected String getNameOfFragment()

      Returns the name of the actual page fragment.
      Returns:

    - #### getRootElement

          protected org.openqa.selenium.WebElement getRootElement()

    - #### advanced

          public abstract AbstractPopupMenu.AdvancedPopupMenuInteractions advanced()

      Specified by:
        `advanced` in interface `AdvancedInteractions<AbstractPopupMenu.AdvancedPopupMenuInteractions>`

    - #### selectItem

          public void selectItem(ChoicePicker picker)

      Description copied from interface: `PopupMenu`
      Selects the menu item according to the rules defined in the `picker` param.
      Specified by:
        `selectItem` in interface `PopupMenu`
      Parameters:
        `picker` - for defining the rules by which the item will be selected

    - #### selectItem

          public void selectItem(String header)

      Description copied from interface: `PopupMenu`
      Selects the menu item according to the exact match of its text representation with passed `header` param.
      Specified by:
        `selectItem` in interface `PopupMenu`
      Parameters:
        `header` - text representation of the menu item to be selected

    - #### selectItem

          public void selectItem(int index)

      Description copied from interface: `PopupMenu`
      Selects the menu item according to its index in the list of all menu items. Items are indexed from 0. A top menu item (the one which is the closest to the root of the popup menu component) has index 0.
      Specified by:
        `selectItem` in interface `PopupMenu`
      Parameters:
        `index` - zero based index of the item to be selected

    - #### selectItem

          public void selectItem(ChoicePicker picker,
                        org.openqa.selenium.WebElement target)

      Description copied from interface: `PopupMenu`
      Selects the menu item according to the rules defined in the `picker` param.
      Specified by:
        `selectItem` in interface `PopupMenu`
      Parameters:
        `picker` - for defining the rules by which the item will be selected
        `target` - for defining the popup menu which will be invoked and from which the item will be selected

    - #### selectItem

          public void selectItem(String header,
                        org.openqa.selenium.WebElement target)

      Description copied from interface: `PopupMenu`
      Selects the menu item according to the exact match of its text representation with passed `header` param.
      Specified by:
        `selectItem` in interface `PopupMenu`
      Parameters:
        `header` - text representation of the menu item to be selected
        `target` - for defining the popup menu which will be invoked and from which the item will be selected

    - #### selectItem

          public void selectItem(int index,
                        org.openqa.selenium.WebElement target)

      Description copied from interface: `PopupMenu`
      Selects the menu item according to its index in the list of all menu items. Items are indexed from 0. A top menu item (the one which is the closest to the root of the popup menu component) has index 0.
      Specified by:
        `selectItem` in interface `PopupMenu`
      Parameters:
        `index` - zero based index of the item to be selected
        `target` - for defining the popup menu which will be invoked and from which the item will be selected

Copyright © 2014 JBoss by Red Hat. All Rights Reserved.